## lomiri-app-launch 0.1.12

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

project(lomiri-app-launch VERSION 0.1.12 LANGUAGES C CXX)

##########################
# Version Info
##########################

set(SOVERSION_MAJOR 0)
set(SOVERSION_MINOR 0)
set(SOVERSION_PATCH 0)

set(ABI_VERSION ${SOVERSION_MAJOR})

##########################
# Options
##########################

option (ENABLE_TESTS "Build tests" ON)
option (ENABLE_COVERAGE "Enable coverage reports" ON)
option (USE_SYSTEMD "Use systemd jobs manager instead of POSIX" ON)
option (ENABLE_MIRCLIENT "Enable helper session using mirclient" ON)

set(AA_EXEC_PATH "/usr/bin/aa-exec" CACHE STRING "Path to aa-exec (AppArmor)")

set(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake" "${CMAKE_MODULE_PATH}")

set(PACKAGE ${CMAKE_PROJECT_NAME})

##########################
# Dependent Packages
##########################

find_package(PkgConfig REQUIRED)

if (USE_SYSTEMD)
	pkg_check_modules(SYSTEMD systemd)
	if (NOT SYSTEMD_FOUND)
		message(FATAL_ERROR "SYSTEMD has not been found!")
	endif ()
endif ()

find_package(GObjectIntrospection REQUIRED)
include(GNUInstallDirs)
include(CheckIncludeFile)
include(CheckFunctionExists)
include(UseGlibGeneration)
include(UseGdbusCodegen)
include(UseConstantBuilder)
include(UseLttngGenTp)

# Workaround for libexecdir on debian
if (EXISTS "/etc/debian_version") 
  set(CMAKE_INSTALL_LIBEXECDIR ${CMAKE_INSTALL_LIBDIR})
  set(CMAKE_INSTALL_FULL_LIBEXECDIR "${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_LIBEXECDIR}")
endif()

set(pkglibexecdir "${CMAKE_INSTALL_FULL_LIBEXECDIR}/${CMAKE_PROJECT_NAME}")
set(CMAKE_INSTALL_PKGLIBEXECDIR "${CMAKE_INSTALL_LIBEXECDIR}/${CMAKE_PROJECT_NAME}")
set(CMAKE_INSTALL_FULL_PKGLIBEXECDIR "${CMAKE_INSTALL_FULL_LIBEXECDIR}/${CMAKE_PROJECT_NAME}")
set(CMAKE_INSTALL_FULL_PKGDATADIR "${CMAKE_INSTALL_FULL_DATADIR}/${CMAKE_PROJECT_NAME}")

if(NOT LOMIRI_APP_LAUNCH_ARCH)
	execute_process(COMMAND dpkg-architecture -qDEB_BUILD_MULTIARCH
		OUTPUT_VARIABLE LOMIRI_APP_LAUNCH_ARCH
		OUTPUT_STRIP_TRAILING_WHITESPACE
	)
	if(NOT LOMIRI_APP_LAUNCH_ARCH)
		message(FATAL_ERROR "LOMIRI_APP_LAUNCH_ARCH is empty!")
	endif()
endif()

add_compile_options(
# Because we believe in quality
	-Wall -Werror
	-g
	-pthread
)

set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -std=gnu99")
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++17")

pkg_check_modules(GLIB2 REQUIRED glib-2.0)
include_directories(${GLIB2_INCLUDE_DIRS})

pkg_check_modules(GOBJECT2 REQUIRED gobject-2.0)
include_directories(${GOBJECT2_INCLUDE_DIRS})

pkg_check_modules(GIO2 REQUIRED gio-2.0 gio-unix-2.0)
include_directories(${GIO2_INCLUDE_DIRS})

pkg_check_modules(JSONGLIB REQUIRED json-glib-1.0>=1.1.2)
include_directories(${JSONGLIB_INCLUDE_DIRS})

pkg_check_modules(ZEITGEIST REQUIRED zeitgeist-2.0)
include_directories(${ZEITGEIST_INCLUDE_DIRS})

pkg_check_modules(CLICK REQUIRED click-0.4>=0.4.18)
include_directories(${CLICK_INCLUDE_DIRS})

pkg_check_modules(DBUS REQUIRED dbus-1)
include_directories(${DBUS_INCLUDE_DIRS})

if(${ENABLE_TESTS})
  pkg_check_modules(DBUSTEST REQUIRED dbustest-1>=14.04.0)
  include_directories(${DBUSTEST_INCLUDE_DIRS})
endif()

pkg_check_modules(LTTNG REQUIRED lttng-ust)
include_directories(${LTTNG_INCLUDE_DIRS})

if(ENABLE_MIRCLIENT)
  pkg_search_module(MIR REQUIRED mir1client mirclient)
  include_directories(${MIR_INCLUDE_DIRS})
endif()

pkg_check_modules(LIBERTINE libertine)
include_directories(${LIBERTINE_INCLUDE_DIRS})
if(${LIBERTINE_FOUND})
  add_definitions(-DHAVE_LIBERTINE=1)
endif(${LIBERTINE_FOUND})

pkg_check_modules(CURL libcurl>=7.47)
include_directories(${CURL_INCLUDE_DIRS})

pkg_check_modules(LOMIRI_API REQUIRED liblomiri-api>=0.1.0)
include_directories(${LOMIRI_API_INCLUDE_DIRS})

include_directories(${CMAKE_CURRENT_SOURCE_DIR})

set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fPIC")

####################
# lomiri-app-launch-desktop.click-hook
####################

configure_file("data/lomiri-app-launch-desktop.click-hook.in" "${CMAKE_CURRENT_SOURCE_DIR}/debian/lomiri-app-launch-desktop.click-hook" @ONLY)

add_subdirectory(data)
add_subdirectory(liblomiri-app-launch)
add_subdirectory(tools)
add_subdirectory(utils)

# testing & coverage
if (ENABLE_TESTS)
  enable_testing ()
  add_subdirectory(tests)
endif ()

if (ENABLE_COVERAGE)
	find_package(CoverageReport)
	set(filter-list)
	list(APPEND filter-list "/usr/include")
	list(APPEND filter-list "${CMAKE_SOURCE_DIR}/tests/*")
	if (NOT ${CMAKE_BINARY_DIR} STREQUAL ${CMAKE_SOURCE_DIR})
		list(APPEND filter-list "${CMAKE_BINARY_DIR}/*")
	endif()
	ENABLE_COVERAGE_REPORT(
		TARGETS
			lomiri-launcher
			launcher-static
			desktop-hook
		TESTS
			app-store-legacy
			application-icon-finder-test
			application-info-desktop-test
			helper-test
			helper-handshake-test
			info-watcher-zg
			jobs-base-test
			jobs-systemd
			liblal-test
			liblal-cpp-test
			list-apps
			snapd-info-test
		FILTER
			${filter-list}
	)
endif ()

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help
help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  applehelp  to make an Apple Help Book"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
	@echo "  coverage   to run coverage check of the documentation (if enabled)"

.PHONY: clean
clean:
	rm -rf $(BUILDDIR)/*

.PHONY: html
html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

.PHONY: dirhtml
dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

.PHONY: singlehtml
singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

.PHONY: pickle
pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

.PHONY: json
json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

.PHONY: htmlhelp
htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

.PHONY: qthelp
qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/LomiriAppLaunch.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/LomiriAppLaunch.qhc"

.PHONY: applehelp
applehelp:
	$(SPHINXBUILD) -b applehelp $(ALLSPHINXOPTS) $(BUILDDIR)/applehelp
	@echo
	@echo "Build finished. The help book is in $(BUILDDIR)/applehelp."
	@echo "N.B. You won't be able to view it unless you put it in" \
	      "~/Library/Documentation/Help or install it in your application" \
	      "bundle."

.PHONY: devhelp
devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/LomiriAppLaunch"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/LomiriAppLaunch"
	@echo "# devhelp"

.PHONY: epub
epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

.PHONY: latex
latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

.PHONY: latexpdf
latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: latexpdfja
latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: text
text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

.PHONY: man
man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

.PHONY: texinfo
texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

.PHONY: info
info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

.PHONY: gettext
gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

.PHONY: changes
changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

.PHONY: linkcheck
linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

.PHONY: doctest
doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

.PHONY: coverage
coverage:
	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) $(BUILDDIR)/coverage
	@echo "Testing of coverage in the sources finished, look at the " \
	      "results in $(BUILDDIR)/coverage/python.txt."

.PHONY: xml
xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

.PHONY: pseudoxml
pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== tools/CMakeLists.txt ===

########################
# lomiri-app-list
########################

add_executable(lomiri-app-list lomiri-app-list.cpp)
set_target_properties(lomiri-app-list PROPERTIES OUTPUT_NAME "lomiri-app-list")
target_link_libraries(lomiri-app-list lomiri-launcher)
install(TARGETS lomiri-app-list RUNTIME DESTINATION "${CMAKE_INSTALL_FULL_BINDIR}")

########################
# lomiri-app-list-pids
########################

add_executable(lomiri-app-list-pids lomiri-app-list-pids.cpp)
set_target_properties(lomiri-app-list-pids PROPERTIES OUTPUT_NAME "lomiri-app-list-pids")
target_link_libraries(lomiri-app-list-pids lomiri-launcher)
install(TARGETS lomiri-app-list-pids RUNTIME DESTINATION "${CMAKE_INSTALL_FULL_BINDIR}")

########################
# lomiri-app-info
########################

add_executable(lomiri-app-info lomiri-app-info.cpp)
set_target_properties(lomiri-app-info PROPERTIES OUTPUT_NAME "lomiri-app-info")
target_link_libraries(lomiri-app-info lomiri-launcher)
install(TARGETS lomiri-app-info RUNTIME DESTINATION "${CMAKE_INSTALL_FULL_BINDIR}")

###########################
# lomiri-app-launch-appids
###########################

add_executable(lomiri-app-launch-appids lomiri-app-launch-appids.cpp)
set_target_properties(lomiri-app-launch-appids PROPERTIES OUTPUT_NAME "lomiri-app-launch-appids")
target_link_libraries(lomiri-app-launch-appids lomiri-launcher)
install(TARGETS lomiri-app-launch-appids RUNTIME DESTINATION "${CMAKE_INSTALL_FULL_BINDIR}")

########################
# lomiri-app-launch
########################

add_executable(lomiri-app-launch lomiri-app-launch.cpp)
set_target_properties(lomiri-app-launch PROPERTIES OUTPUT_NAME "lomiri-app-launch")
target_link_libraries(lomiri-app-launch lomiri-launcher)
install(TARGETS lomiri-app-launch RUNTIME DESTINATION "${CMAKE_INSTALL_FULL_BINDIR}")

########################
# lomiri-app-watch
########################

add_executable(lomiri-app-watch lomiri-app-watch.cpp)
set_target_properties(lomiri-app-watch PROPERTIES OUTPUT_NAME "lomiri-app-watch")
target_link_libraries(lomiri-app-watch lomiri-launcher)
install(TARGETS lomiri-app-watch RUNTIME DESTINATION "${CMAKE_INSTALL_FULL_BINDIR}")

########################
# lomiri-app-pid
########################

add_executable(lomiri-app-pid lomiri-app-pid.cpp)
set_target_properties(lomiri-app-pid PROPERTIES OUTPUT_NAME "lomiri-app-pid")
target_link_libraries(lomiri-app-pid lomiri-launcher)
install(TARGETS lomiri-app-pid RUNTIME DESTINATION "${CMAKE_INSTALL_FULL_BINDIR}")

########################
# lomiri-app-stop
########################

add_executable(lomiri-app-stop lomiri-app-stop.cpp)
set_target_properties(lomiri-app-stop PROPERTIES OUTPUT_NAME "lomiri-app-stop")
target_link_libraries(lomiri-app-stop lomiri-launcher)
install(TARGETS lomiri-app-stop RUNTIME DESTINATION "${CMAKE_INSTALL_FULL_BINDIR}")

########################
# lomiri-app-triplet
########################

add_executable(lomiri-app-triplet lomiri-app-triplet.cpp)
set_target_properties(lomiri-app-triplet PROPERTIES OUTPUT_NAME "lomiri-app-triplet")
target_link_libraries(lomiri-app-triplet lomiri-launcher)
install(TARGETS lomiri-app-triplet RUNTIME DESTINATION "${CMAKE_INSTALL_FULL_BINDIR}")

########################
# lomiri-helper-start
########################

add_executable(lomiri-helper-start lomiri-helper-start.cpp)
set_target_properties(lomiri-helper-start PROPERTIES OUTPUT_NAME "lomiri-helper-start")
target_link_libraries(lomiri-helper-start lomiri-launcher)
install(TARGETS lomiri-helper-start RUNTIME DESTINATION "${CMAKE_INSTALL_FULL_BINDIR}")

########################
# lomiri-helper-stop
########################

add_executable(lomiri-helper-stop lomiri-helper-stop.cpp)
set_target_properties(lomiri-helper-stop PROPERTIES OUTPUT_NAME "lomiri-helper-stop")
target_link_libraries(lomiri-helper-stop lomiri-launcher)
install(TARGETS lomiri-helper-stop RUNTIME DESTINATION "${CMAKE_INSTALL_FULL_BINDIR}")

########################
# lomiri-helper-list
########################

add_executable(lomiri-helper-list lomiri-helper-list.cpp)
set_target_properties(lomiri-helper-list PROPERTIES OUTPUT_NAME "lomiri-helper-list")
target_link_libraries(lomiri-helper-list lomiri-launcher)
install(TARGETS lomiri-helper-list RUNTIME DESTINATION "${CMAKE_INSTALL_FULL_BINDIR}")

########################
# lomiri-app-usage
########################

add_executable(lomiri-app-usage lomiri-app-usage.c)
set_target_properties(lomiri-app-usage PROPERTIES OUTPUT_NAME "lomiri-app-usage")
target_link_libraries(lomiri-app-usage lomiri-launcher)
install(TARGETS lomiri-app-usage RUNTIME DESTINATION "${CMAKE_INSTALL_FULL_BINDIR}")

########################
# Formatting
########################

add_custom_target(format-tools
	COMMAND clang-format -i -style=file
    lomiri-app-info.cpp
    lomiri-app-launch-appids.cpp
    lomiri-app-launch.cpp
    lomiri-app-list.cpp
    lomiri-app-list-pids.cpp
    lomiri-app-pid.cpp
    lomiri-app-stop.cpp
    lomiri-app-triplet.cpp
    lomiri-app-watch.cpp
    lomiri-helper-list.cpp
    lomiri-helper-start.cpp
    lomiri-helper-stop.cpp
)

=== liblomiri-app-launch/abi-check/CMakeLists.txt ===

set(ABI_BUILD_HEADERS ${LAUNCHER_HEADERS})
list(APPEND ABI_BUILD_HEADERS ${LAUNCHER_CPP_HEADERS})
list_prefix(ABI_BUILD_HEADERS_PATH ABI_BUILD_HEADERS "${CMAKE_SOURCE_DIR}/liblomiri-app-launch/")

set(HEADER_AS_LIST "")
foreach(HEADER IN LISTS ABI_BUILD_HEADERS_PATH)
	set(HEADER_AS_LIST "${HEADER_AS_LIST}\n${HEADER}")
endforeach()

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/check-abi.sh.in ${CMAKE_CURRENT_BINARY_DIR}/check-abi.sh @ONLY)
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/build.xml.in ${CMAKE_CURRENT_BINARY_DIR}/build.xml @ONLY)
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/installed.xml.in ${CMAKE_CURRENT_BINARY_DIR}/installed.xml @ONLY)

add_test (NAME abi-check COMMAND ${CMAKE_CURRENT_BINARY_DIR}/check-abi.sh)

=== debian/changelog ===
lomiri-app-launch (0.1.12-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Bump Standards-Version: to 4.7.2. No changes needed.
  * debian/copyright:
    + Fix FSF mailing address.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 05 May 2025 10:50:23 +0200

=== debian/control ===
Source: lomiri-app-launch
Section: gnome
Priority: optional
Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
Uploaders:
 Mike Gabriel <sunweaver@debian.org>,
 Marius Gripsgard <mariogrip@debian.org>,
Build-Depends: abi-compliance-checker,
               cmake,
               cmake-extras (>= 1.5-7~),
               dbus-test-runner,
               debhelper-compat (= 13),
               googletest,
               libclick-dev,
               libcurl4-gnutls-dev,
               libdbus-1-dev,
               libdbustest1-dev (>= 14.04.0),
               libgirepository1.0-dev,
               libglib2.0-dev,
               libgtest-dev,
               libjson-glib-dev (>= 1.1.2),
               liblttng-ust-dev,
               libproperties-cpp-dev,
               liblomiri-api-dev (>= 0.1.0),
               libzeitgeist-2.0-dev,
               gobject-introspection,
               python3-dbusmock,
               systemd-dev [linux-any],
Standards-Version: 4.7.2
Rules-Requires-Root: no
Homepage: http://gitlab.com/ubports/development/core/lomiri-app-launch
Vcs-Git: https://salsa.debian.org/ubports-team/lomiri-app-launch.git
Vcs-Browser: https://salsa.debian.org/ubports-team/lomiri-app-launch/

Package: lomiri-app-launch
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         dbus-user-session,
         zeitgeist-core,
Multi-Arch: foreign
Description: User space daemon for launching applications
 Application launching system and associated utilities that is used to
 launch applications in a standard and confined way.
 .
 This package provides the Lomiri App Launch user space daemon.

Package: lomiri-app-launch-tools
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         lomiri-app-launch (= ${binary:Version})
Replaces: upstart-app-launch-tools,
          ubuntu-app-launch-tools,
Provides: upstart-app-launch-tools,
          ubuntu-app-launch-tools,
Description: Tools for working wtih launched applications
 Application launching system and associated utilities that is used to
 launch applications in a standard and confined way.
 .
 This package provides tools for working with Lomiri App Launch.

Package: liblomiri-app-launch0
Section: libs
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         lomiri-app-launch (= ${binary:Version}),
#         lomiri-pasted,
Recommends:
         libertine-xmir-tools [amd64 armhf arm64 i386],
Pre-Depends: ${misc:Pre-Depends},
Multi-Arch: same
Description: library for sending requests to Lomiri App Launch
 Application launching system and associated utilities that is used to
 launch applications in a standard and confined way.
 .
 This package contains shared libraries to be used by applications.

Package: liblomiri-app-launch-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         gir1.2-lomiriapplaunch-0 (= ${binary:Version}),
         libglib2.0-dev,
         libproperties-cpp-dev,
         liblomiri-app-launch0 (= ${binary:Version}),
Pre-Depends: ${misc:Pre-Depends},
Multi-Arch: same
Description: library for sending requests to the Lomiri App Launch
 Application launching system and associated utilities that is used to
 launch applications in a standard and confined way.
 .
 This package contains files that are needed to build applications.

Package: gir1.2-lomiriapplaunch-0
Section: introspection
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         liblomiri-app-launch0 (= ${binary:Version}),
         ${gir:Depends},
Pre-Depends: ${misc:Pre-Depends}
Recommends: lomiri-app-launch (= ${binary:Version})
Multi-Arch: same
Description: typelib file for liblomiri-app-launch4
 Application launching system and associated utilities that is used to
 launch applications in a standard and confined way.
 .
 Interface for starting apps and getting info on them.
 .
 This package can be used by other packages using the GIRepository format to
 generate dynamic bindings for liblomiri-app-launch0.
